Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerdgrft.F90	(revision 8531)
@@ -12,5 +12,4 @@
    !!   'key_lim3'                                      LIM-3 sea-ice model
    !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
    USE dom_oce        ! ocean domain
    USE phycst         ! physical constants (ocean directory) 
@@ -31,24 +30,24 @@
    PRIVATE
 
-   PUBLIC   ice_rdgrft               ! called by ice_stp
-   PUBLIC   ice_rdgrft_strength      ! called by icerhg_evp
-   PUBLIC   ice_rdgrft_init          ! called by ice_stp
+   PUBLIC   ice_rdgrft        ! called by icestp
+   PUBLIC   ice_strength      ! called by icerhg_evp
+   PUBLIC   ice_rdgrft_init   ! called by icedyn
 
    ! Variables shared among ridging subroutines
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   asum     ! sum of total ice and open water area
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   aksum    ! ratio of area removed to area ridged
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   athorn   ! participation function; fraction of ridging/closing associated w/ category n
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   apartf   ! participation function; fraction of ridging/closing associated w/ category n
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hrmin    ! minimum ridge thickness
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hrmax    ! maximum ridge thickness
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hraft    ! thickness of rafted ice
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   krdg     ! thickness of ridging ice / mean ridge thickness
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   hi_hrdg  ! thickness of ridging ice / mean ridge thickness
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   aridge   ! participating ice ridging
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   araft    ! participating ice rafting
    !
-   REAL(wp), PARAMETER ::   krdgmin = 1.1_wp    ! min ridge thickness multiplier
-   REAL(wp), PARAMETER ::   kraft   = 0.5_wp    ! rafting multipliyer
-   REAL(wp)            ::   zdrho               ! 
+   REAL(wp), PARAMETER ::   hrdg_hi_min = 1.1_wp    ! min ridge thickness multiplier: min(hrdg/hi)
+   REAL(wp), PARAMETER ::   hi_hrft     = 0.5_wp    ! rafting multipliyer: (hi/hraft)
+   REAL(wp)            ::   zdrho                   ! 
    !
-   ! ** namelist (namice_rdgrft) **
+   ! ** namelist (namdyn_rdgrft) **
    LOGICAL  ::   ln_str_H79       ! ice strength parameterization (Hibler79)
    REAL(wp) ::   rn_pstar         ! determines ice strength, Hibler JPO79
@@ -83,7 +82,7 @@
       !!                ***  ROUTINE ice_rdgrft_alloc ***
       !!---------------------------------------------------------------------!
-      ALLOCATE( asum (jpi,jpj)     , athorn(jpi,jpj,0:jpl) , aksum (jpi,jpj)     ,     &
-         &      hrmin(jpi,jpj,jpl) , hraft (jpi,jpj,jpl)   , aridge(jpi,jpj,jpl) ,     &
-         &      hrmax(jpi,jpj,jpl) , krdg  (jpi,jpj,jpl)   , araft (jpi,jpj,jpl) , STAT=ice_rdgrft_alloc )
+      ALLOCATE( asum (jpi,jpj)     , apartf (jpi,jpj,0:jpl) , aksum (jpi,jpj)     ,     &
+         &      hrmin(jpi,jpj,jpl) , hraft  (jpi,jpj,jpl)   , aridge(jpi,jpj,jpl) ,     &
+         &      hrmax(jpi,jpj,jpl) , hi_hrdg(jpi,jpj,jpl)   , araft (jpi,jpj,jpl) , STAT=ice_rdgrft_alloc )
 
       IF( lk_mpp                )   CALL mpp_sum ( ice_rdgrft_alloc )
@@ -124,5 +123,5 @@
       INTEGER  ::   niter              ! local integer 
       INTEGER  ::   iterate_ridging    ! if =1, repeat the ridging
-      REAL(wp) ::   za                 ! local scalar
+      REAL(wp) ::   zfac               ! local scalar
       REAL(wp), DIMENSION(jpi,jpj) ::   closing_net     ! net rate at which area is removed    (1/s)
       !                                                 ! (ridging ice area - area of new ridges) / dt
@@ -150,5 +149,5 @@
       !-----------------------------------------------------------------------------!
       !
-      CALL ice_rdgrft_prep                             ! prepare ridging
+      CALL rdgrft_prep                             ! prepare ridging
       !
       DO jj = 1, jpj                                        ! Initialize arrays.
@@ -203,5 +202,5 @@
       DO WHILE ( iterate_ridging > 0 .AND. niter < nitermax )
 
-         ! 3.2 closing_gross
+         ! 3.1 closing_gross
          !-----------------------------------------------------------------------------!
          ! Based on the ITD of ridging and ridged ice, convert the net
@@ -216,9 +215,9 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               za   = ( opning(ji,jj) - athorn(ji,jj,0) * closing_gross(ji,jj) ) * rdt_ice
-               IF    ( za < 0._wp .AND. za > - ato_i(ji,jj) ) THEN                  ! would lead to negative ato_i
-                  opning(ji,jj) = athorn(ji,jj,0) * closing_gross(ji,jj) - ato_i(ji,jj) * r1_rdtice 
-               ELSEIF( za > 0._wp .AND. za > ( asum(ji,jj) - ato_i(ji,jj) ) ) THEN  ! would lead to ato_i > asum
-                  opning(ji,jj) = athorn(ji,jj,0) * closing_gross(ji,jj) + ( asum(ji,jj) - ato_i(ji,jj) ) * r1_rdtice 
+               zfac   = ( opning(ji,jj) - apartf(ji,jj,0) * closing_gross(ji,jj) ) * rdt_ice
+               IF    ( zfac < 0._wp .AND. zfac > - ato_i(ji,jj) ) THEN                  ! would lead to negative ato_i
+                  opning(ji,jj) = apartf(ji,jj,0) * closing_gross(ji,jj) - ato_i(ji,jj) * r1_rdtice 
+               ELSEIF( zfac > 0._wp .AND. zfac > ( asum(ji,jj) - ato_i(ji,jj) ) ) THEN  ! would lead to ato_i > asum
+                  opning(ji,jj) = apartf(ji,jj,0) * closing_gross(ji,jj) + ( asum(ji,jj) - ato_i(ji,jj) ) * r1_rdtice 
                ENDIF
             END DO
@@ -232,7 +231,7 @@
             DO jj = 1, jpj
                DO ji = 1, jpi
-                  za = athorn(ji,jj,jl) * closing_gross(ji,jj) * rdt_ice
-                  IF( za  >  a_i(ji,jj,jl) ) THEN
-                     closing_gross(ji,jj) = closing_gross(ji,jj) * a_i(ji,jj,jl) / za
+                  zfac = apartf(ji,jj,jl) * closing_gross(ji,jj) * rdt_ice
+                  IF( zfac  >  a_i(ji,jj,jl) ) THEN
+                     closing_gross(ji,jj) = closing_gross(ji,jj) * a_i(ji,jj,jl) / zfac
                   ENDIF
                END DO
@@ -240,14 +239,14 @@
          END DO
 
-         ! 3.3 Redistribute area, volume, and energy.
+         ! 3.2 Redistribute area, volume, and energy.
          !-----------------------------------------------------------------------------!
-         CALL ice_rdgrft_ridgeshift( opning, closing_gross )
+         CALL rdgrft_shift( opning, closing_gross )
          
-         ! 3.4 Compute total area of ice plus open water after ridging.
+         ! 3.3 Compute total area of ice plus open water after ridging.
          !-----------------------------------------------------------------------------!
          ! This is in general not equal to one because of divergence during transport
          asum(:,:) = ato_i(:,:) + SUM( a_i, dim=3 )
 
-         ! 3.5 Do we keep on iterating?
+         ! 3.4 Do we keep on iterating?
          !-----------------------------------------------------------------------------!
          ! Check whether asum = 1.  If not (because the closing and opening
@@ -276,5 +275,5 @@
          !
          IF( iterate_ridging == 1 ) THEN
-            CALL ice_rdgrft_prep
+            CALL rdgrft_prep
             IF( niter  >  nitermax ) THEN
                WRITE(numout,*) ' ALERTE : non-converging ridging scheme '
@@ -295,7 +294,7 @@
 
 
-   SUBROUTINE ice_rdgrft_prep
+   SUBROUTINE rdgrft_prep
       !!---------------------------------------------------------------------!
-      !!                ***  ROUTINE ice_rdgrft_prep ***
+      !!                ***  ROUTINE rdgrft_prep ***
       !!
       !! ** Purpose :   preparation for ridging and strength calculations
@@ -319,7 +318,17 @@
       END WHERE
 
-      !------------------------------------------------------------------------------!
-      ! 1) Participation function 
-      !------------------------------------------------------------------------------!
+      !-----------------------------------------------------------------
+      ! 1) Participation function: a(h) = b(h).g(h) (apartf)
+      !-----------------------------------------------------------------
+      ! Compute the participation function apartf; this is analogous to
+      ! a(h) = b(h)g(h) as defined in Thorndike et al. (1975).
+      ! area lost from category n due to ridging/closing
+      ! apartf(n)   = total area lost due to ridging/closing
+      ! assume b(h) = (2/Gstar) * (1 - G(h)/Gstar). 
+      !
+      ! The expressions for apartf are found by integrating b(h)g(h) between
+      ! the category boundaries.
+      ! apartf is always >= 0 and SUM(apartf(0:jpl))=1
+      !-----------------------------------------------------------------
       !
       ! Compute total area of ice plus open water.
@@ -337,16 +346,4 @@
       END DO
 
-      ! 1.3 Compute participation function a(h) = b(h).g(h) (athorn)
-      !--------------------------------------------------------------------------------------------------
-      ! Compute the participation function athorn; this is analogous to
-      ! a(h) = b(h)g(h) as defined in Thorndike et al. (1975).
-      ! area lost from category n due to ridging/closing
-      ! athorn(n)   = total area lost due to ridging/closing
-      ! assume b(h) = (2/Gstar) * (1 - G(h)/Gstar). 
-      !
-      ! The expressions for athorn are found by integrating b(h)g(h) between
-      ! the category boundaries.
-      ! athorn is always >= 0 and SUM(athorn(0:jpl))=1
-      !-----------------------------------------------------------------
       !
       IF( ln_partf_lin ) THEN          !--- Linear formulation (Thorndike et al., 1975)
@@ -355,11 +352,11 @@
                DO ji = 1, jpi
                   IF    ( zGsum(ji,jj,jl)   < rn_gstar ) THEN
-                     athorn(ji,jj,jl) = z1_gstar * ( zGsum(ji,jj,jl) - zGsum(ji,jj,jl-1) ) * &
+                     apartf(ji,jj,jl) = z1_gstar * ( zGsum(ji,jj,jl) - zGsum(ji,jj,jl-1) ) * &
                         &                          ( 2._wp - ( zGsum(ji,jj,jl-1) + zGsum(ji,jj,jl) ) * z1_gstar )
                   ELSEIF( zGsum(ji,jj,jl-1) < rn_gstar ) THEN
-                     athorn(ji,jj,jl) = z1_gstar * ( rn_gstar        - zGsum(ji,jj,jl-1) ) *  &
+                     apartf(ji,jj,jl) = z1_gstar * ( rn_gstar        - zGsum(ji,jj,jl-1) ) *  &
                         &                          ( 2._wp - ( zGsum(ji,jj,jl-1) + rn_gstar        ) * z1_gstar )
                   ELSE
-                     athorn(ji,jj,jl) = 0._wp
+                     apartf(ji,jj,jl) = 0._wp
                   ENDIF
                END DO
@@ -374,5 +371,5 @@
          END DO
          DO jl = 0, jpl
-            athorn(:,:,jl) = zGsum(:,:,jl-1) - zGsum(:,:,jl)
+            apartf(:,:,jl) = zGsum(:,:,jl-1) - zGsum(:,:,jl)
          END DO
          !
@@ -384,15 +381,15 @@
             DO jj = 1, jpj 
                DO ji = 1, jpi
-                  aridge(ji,jj,jl) = ( 1._wp + TANH ( rn_craft * ( ht_i(ji,jj,jl) - rn_hraft ) ) ) * 0.5_wp * athorn(ji,jj,jl)
-                  araft (ji,jj,jl) = athorn(ji,jj,jl) - aridge(ji,jj,jl)
+                  aridge(ji,jj,jl) = ( 1._wp + TANH ( rn_craft * ( ht_i(ji,jj,jl) - rn_hraft ) ) ) * 0.5_wp * apartf(ji,jj,jl)
+                  araft (ji,jj,jl) = apartf(ji,jj,jl) - aridge(ji,jj,jl)
                END DO
             END DO
          END DO
       ELSEIF( ln_ridging .AND. .NOT. ln_rafting ) THEN   !- ridging alone
-         aridge(:,:,:) = athorn(:,:,1:jpl)
+         aridge(:,:,:) = apartf(:,:,1:jpl)
          araft (:,:,:) = 0._wp
       ELSEIF( ln_rafting .AND. .NOT. ln_ridging ) THEN   !- rafting alone   
         aridge(:,:,:) = 0._wp
-         araft (:,:,:) = athorn(:,:,1:jpl)
+         araft (:,:,:) = apartf(:,:,1:jpl)
       ELSE                                               !- no ridging & no rafting
          aridge(:,:,:) = 0._wp
@@ -408,5 +405,5 @@
       ! This parameterization is a modified version of Hibler (1980).
       ! The mean ridging thickness, zhmean, is proportional to hi^(0.5)
-      !  and for very thick ridging ice must be >= krdgmin*hi
+      !  and for very thick ridging ice must be >= hrdg_hi_min*hi
       !
       ! The minimum ridging thickness, hrmin, is equal to 2*hi 
@@ -426,24 +423,25 @@
       !-----------------------------------------------------------------
 
-      aksum(:,:) = athorn(:,:,0)
+      aksum(:,:) = apartf(:,:,0)
+      zdummy = 1._wp / hi_hrft
       ! Transfer function
       DO jl = 1, jpl !all categories have a specific transfer function
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF ( athorn(ji,jj,jl) > 0._wp ) THEN
-                  zhmean          = MAX( SQRT( rn_hstar * ht_i(ji,jj,jl) ), ht_i(ji,jj,jl) * krdgmin )
-                  hrmin(ji,jj,jl) = MIN( 2._wp * ht_i(ji,jj,jl), 0.5_wp * ( zhmean + ht_i(ji,jj,jl) ) )
-                  hrmax(ji,jj,jl) = 2._wp * zhmean - hrmin(ji,jj,jl)
-                  hraft(ji,jj,jl) = ht_i(ji,jj,jl) / kraft
-                  krdg (ji,jj,jl) = ht_i(ji,jj,jl) / MAX( zhmean, epsi20 )
+               IF ( apartf(ji,jj,jl) > 0._wp ) THEN
+                  zhmean            = MAX( SQRT( rn_hstar * ht_i(ji,jj,jl) ), ht_i(ji,jj,jl) * hrdg_hi_min )
+                  hrmin  (ji,jj,jl) = MIN( 2._wp * ht_i(ji,jj,jl), 0.5_wp * ( zhmean + ht_i(ji,jj,jl) ) )
+                  hrmax  (ji,jj,jl) = 2._wp * zhmean - hrmin(ji,jj,jl)
+                  hraft  (ji,jj,jl) = ht_i(ji,jj,jl) * zdummy
+                  hi_hrdg(ji,jj,jl) = ht_i(ji,jj,jl) / MAX( zhmean, epsi20 )
                   !
                   ! Normalization factor : aksum, ensures mass conservation
-                  aksum(ji,jj) = aksum(ji,jj) + aridge(ji,jj,jl) * ( 1._wp - krdg(ji,jj,jl) )    &
-                     &                        + araft (ji,jj,jl) * ( 1._wp - kraft          )
+                  aksum(ji,jj) = aksum(ji,jj) + aridge(ji,jj,jl) * ( 1._wp - hi_hrdg(ji,jj,jl) )    &
+                     &                        + araft (ji,jj,jl) * ( 1._wp - hi_hrft )
                ELSE
-                  hrmin(ji,jj,jl)  = 0._wp 
-                  hrmax(ji,jj,jl)  = 0._wp 
-                  hraft(ji,jj,jl)  = 0._wp 
-                  krdg (ji,jj,jl)  = 1._wp
+                  hrmin  (ji,jj,jl) = 0._wp 
+                  hrmax  (ji,jj,jl) = 0._wp 
+                  hraft  (ji,jj,jl) = 0._wp 
+                  hi_hrdg(ji,jj,jl) = 1._wp
                ENDIF
             END DO
@@ -451,10 +449,10 @@
       END DO
       !
-   END SUBROUTINE ice_rdgrft_prep
-
-
-   SUBROUTINE ice_rdgrft_ridgeshift( opning, closing_gross )
+   END SUBROUTINE rdgrft_prep
+
+
+   SUBROUTINE rdgrft_shift( opning, closing_gross )
       !!----------------------------------------------------------------------
-      !!                ***  ROUTINE ice_rdgrft_strength ***
+      !!                ***  ROUTINE rdgrft_shift ***
       !!
       !! ** Purpose :   shift ridging ice among thickness categories of ice thickness
@@ -463,14 +461,14 @@
       !!              and add to thicker ice categories.
       !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   opning         ! rate of opening due to divergence/shear
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   closing_gross  ! rate at which area retreats, excluding area of new ridges
-      !
-      INTEGER ::   ji, jj, jl, jl1, jl2, jk   ! dummy loop indices
-      INTEGER ::   ij                ! horizontal index, combines i and j loops
-      INTEGER ::   icells            ! number of cells with a_i > puny
-      REAL(wp) ::   hL, hR, farea    ! left and right limits of integration and new area going to jl2
-
-      INTEGER , DIMENSION(jpij) ::   indxi, indxj   ! compressed indices
-      REAL(wp), DIMENSION(jpij) ::   zswitch, fvol   ! new ridge volume going to jl2
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   opning         ! rate of opening due to divergence/shear
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   closing_gross  ! rate at which area retreats, excluding area of new ridges
+      !
+      INTEGER  ::   ji, jj, jl, jl1, jl2, jk   ! dummy loop indices
+      INTEGER  ::   ij                         ! horizontal index, combines i and j loops
+      INTEGER  ::   icells                     ! number of cells with a_i > puny
+      REAL(wp) ::   hL, hR, farea              ! left and right limits of integration and new area going to jl2
+
+      INTEGER , DIMENSION(jpij) ::   indxi, indxj     ! compressed indices
+      REAL(wp), DIMENSION(jpij) ::   zswitch, fvol    ! new ridge volume going to jl2
 
       REAL(wp), DIMENSION(jpij) ::   afrac            ! fraction of category area ridged 
@@ -482,12 +480,12 @@
       REAL(wp), DIMENSION(jpij) ::   aprdg2           ! pond area of ridging ice
       ! END MV MP 2016
-      REAL(wp), DIMENSION(jpij) ::   dhr   , dhr2     ! hrmax - hrmin  &  hrmax^2 - hrmin^2
-
-      REAL(wp), DIMENSION(jpij) ::   vrdg1   ! volume of ice ridged
-      REAL(wp), DIMENSION(jpij) ::   vrdg2   ! volume of new ridges
-      REAL(wp), DIMENSION(jpij) ::   vsw     ! volume of seawater trapped into ridges
-      REAL(wp), DIMENSION(jpij) ::   srdg1   ! sal*volume of ice ridged
-      REAL(wp), DIMENSION(jpij) ::   srdg2   ! sal*volume of new ridges
-      REAL(wp), DIMENSION(jpij) ::   smsw    ! sal*volume of water trapped into ridges
+      REAL(wp), DIMENSION(jpij) ::   dhr, dhr2        ! hrmax - hrmin  &  hrmax^2 - hrmin^2
+
+      REAL(wp), DIMENSION(jpij) ::   vrdg1            ! volume of ice ridged
+      REAL(wp), DIMENSION(jpij) ::   vrdg2            ! volume of new ridges
+      REAL(wp), DIMENSION(jpij) ::   vsw              ! volume of seawater trapped into ridges
+      REAL(wp), DIMENSION(jpij) ::   srdg1            ! sal*volume of ice ridged
+      REAL(wp), DIMENSION(jpij) ::   srdg2            ! sal*volume of new ridges
+      REAL(wp), DIMENSION(jpij) ::   smsw             ! sal*volume of water trapped into ridges
       REAL(wp), DIMENSION(jpij) ::   oirdg1, oirdg2   ! ice age of ice ridged
 
@@ -503,8 +501,8 @@
       REAL(wp), DIMENSION(jpij) ::   oirft1, oirft2   ! ice age of ice rafted
 
-      REAL(wp), DIMENSION(jpij,nlay_i) ::   eirft      ! ice energy of rafting ice
-      REAL(wp), DIMENSION(jpij,nlay_i) ::   erdg1      ! enth*volume of ice ridged
-      REAL(wp), DIMENSION(jpij,nlay_i) ::   erdg2      ! enth*volume of new ridges
-      REAL(wp), DIMENSION(jpij,nlay_i) ::   ersw       ! enth of water trapped into ridges
+      REAL(wp), DIMENSION(jpij,nlay_i) ::   eirft     ! ice energy of rafting ice
+      REAL(wp), DIMENSION(jpij,nlay_i) ::   erdg1     ! enth*volume of ice ridged
+      REAL(wp), DIMENSION(jpij,nlay_i) ::   erdg2     ! enth*volume of new ridges
+      REAL(wp), DIMENSION(jpij,nlay_i) ::   ersw      ! enth of water trapped into ridges
       !!----------------------------------------------------------------------
 
@@ -515,10 +513,10 @@
          DO ji = 1, jpi
             ato_i(ji,jj) = MAX( 0._wp, ato_i(ji,jj) +  &
-               &                     ( opning(ji,jj) - athorn(ji,jj,0) * closing_gross(ji,jj) ) * rdt_ice )
+               &                     ( opning(ji,jj) - apartf(ji,jj,0) * closing_gross(ji,jj) ) * rdt_ice )
          END DO
       END DO
 
       !-----------------------------------------------------------------
-      ! 3) Pump everything from ice which is being ridged / rafted
+      ! 2) Pump everything from ice which is being ridged / rafted
       !-----------------------------------------------------------------
       ! Compute the area, volume, and energy of ice ridging in each
@@ -528,10 +526,10 @@
 
          !------------------------------------------------
-         ! 3.1) Identify grid cells with nonzero ridging
+         ! 2.1) Identify grid cells with nonzero ridging
          !------------------------------------------------
          icells = 0
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF( athorn(ji,jj,jl1) > 0._wp .AND. closing_gross(ji,jj) > 0._wp ) THEN
+               IF( apartf(ji,jj,jl1) > 0._wp .AND. closing_gross(ji,jj) > 0._wp ) THEN
                   icells = icells + 1
                   indxi(icells) = ji
@@ -545,5 +543,5 @@
 
             !--------------------------------------------------------------------
-            ! 3.2) Compute area of ridging ice (ardg1) and of new ridge (ardg2)
+            ! 2.2) Compute area of ridging ice (ardg1) and of new ridge (ardg2)
             !--------------------------------------------------------------------
             ardg1(ij) = aridge(ji,jj,jl1) * closing_gross(ji,jj) * rdt_ice
@@ -551,13 +549,13 @@
 
             !---------------------------------------------------------------
-            ! 3.3) Compute ridging /rafting fractions, make sure afrac <=1 
+            ! 2.3) Compute ridging /rafting fractions, make sure afrac <=1 
             !---------------------------------------------------------------
             afrac(ij) = ardg1(ij) / a_i(ji,jj,jl1) !ridging
             afrft(ij) = arft1(ij) / a_i(ji,jj,jl1) !rafting
-            ardg2(ij) = ardg1(ij) * krdg(ji,jj,jl1)
-            arft2(ij) = arft1(ij) * kraft
+            ardg2(ij) = ardg1(ij) * hi_hrdg(ji,jj,jl1)
+            arft2(ij) = arft1(ij) * hi_hrft
 
             !--------------------------------------------------------------------------
-            ! 3.4) Substract area, volume, and energy from ridging 
+            ! 2.4) Substract area, volume, and energy from ridging 
             !     / rafting category n1.
             !--------------------------------------------------------------------------
@@ -571,5 +569,5 @@
             IF ( nn_pnd_scheme > 0 ) THEN
                aprdg1(ij) = a_ip(ji,jj, jl1) * afrac(ij)
-               aprdg2(ij) = a_ip(ji,jj, jl1) * afrac(ij) * krdg(ji,jj,jl1)
+               aprdg2(ij) = a_ip(ji,jj, jl1) * afrac(ij) * hi_hrdg(ji,jj,jl1)
                vprdg(ij)  = v_ip(ji,jj, jl1) * afrac(ij)
             ENDIF
@@ -577,5 +575,5 @@
             srdg1 (ij) = smv_i(ji,jj,  jl1) * afrac(ij)
             oirdg1(ij) = oa_i (ji,jj,  jl1) * afrac(ij)
-            oirdg2(ij) = oa_i (ji,jj,  jl1) * afrac(ij) * krdg(ji,jj,jl1) 
+            oirdg2(ij) = oa_i (ji,jj,  jl1) * afrac(ij) * hi_hrdg(ji,jj,jl1) 
 
             ! rafting volumes, heat contents ...
@@ -585,5 +583,5 @@
             IF ( nn_pnd_scheme > 0 ) THEN
                aprft1(ij) = a_ip (ji,jj,  jl1) * afrft(ij)
-               aprft2(ij) = a_ip (ji,jj,  jl1) * afrft(ij) * kraft
+               aprft2(ij) = a_ip (ji,jj,  jl1) * afrft(ij) * hi_hrft
                vprft(ij)  = v_ip(ji,jj,jl1)    * afrft(ij)
             ENDIF
@@ -593,8 +591,8 @@
             smrft (ij) = smv_i(ji,jj,  jl1) * afrft(ij) 
             oirft1(ij) = oa_i (ji,jj,  jl1) * afrft(ij) 
-            oirft2(ij) = oa_i (ji,jj,  jl1) * afrft(ij) * kraft 
+            oirft2(ij) = oa_i (ji,jj,  jl1) * afrft(ij) * hi_hrft 
 
             !-----------------------------------------------------------------
-            ! 3.5) Compute properties of new ridges
+            ! 2.5) Compute properties of new ridges
             !-----------------------------------------------------------------
             smsw(ij)  = vsw(ij) * sss_m(ji,jj)                   ! salt content of seawater frozen in voids
@@ -612,5 +610,5 @@
 
             !------------------------------------------            
-            ! 3.7 Put the snow somewhere in the ocean
+            ! 2.6 Put the snow somewhere in the ocean
             !------------------------------------------            
             !  Place part of the snow lost by ridging into the ocean. 
@@ -627,5 +625,5 @@
             ! MV MP 2016
             !------------------------------------------            
-            ! 3.X Put the melt pond water in the ocean
+            ! 2.7 Put the melt pond water in the ocean
             !------------------------------------------            
             !  Place part of the melt pond volume into the ocean. 
@@ -637,5 +635,5 @@
 
             !-----------------------------------------------------------------
-            ! 3.8 Compute quantities used to apportion ice among categories
+            ! 2.8 Compute quantities used to apportion ice among categories
             ! in the n2 loop below
             !-----------------------------------------------------------------
@@ -662,5 +660,5 @@
 
          !--------------------------------------------------------------------
-         ! 3.9 Compute ridging ice enthalpy, remove it from ridging ice and
+         ! 2.9 Compute ridging ice enthalpy, remove it from ridging ice and
          !      compute ridged ice enthalpy 
          !--------------------------------------------------------------------
@@ -689,5 +687,5 @@
 
          !-------------------------------------------------------------------------------
-         ! 4) Add area, volume, and energy of new ridge to each category jl2
+         ! 3) Add area, volume, and energy of new ridge to each category jl2
          !-------------------------------------------------------------------------------
          DO jl2  = 1, jpl 
@@ -710,5 +708,5 @@
 !!gm see above               IF( hraft(ji,jj,jl1) <= hi_max(jl2) .AND. hraft(ji,jj,jl1) >  hi_max(jl2-1) ) THEN
                IF( hi_max(jl2-1) < hraft(ji,jj,jl1) .AND. hraft(ji,jj,jl1) <= hi_max(jl2)  ) THEN   ;   zswitch(ij) = 1._wp
-               ELSE                                                                                 ;   zswitch(ij) = 0._wp                  
+               ELSE                                                                                 ;   zswitch(ij) = 0._wp
                ENDIF
                !
@@ -743,10 +741,10 @@
       END DO ! jl1 (deforming categories)
       !
-   END SUBROUTINE ice_rdgrft_ridgeshift
-
-
-   SUBROUTINE ice_rdgrft_strength
+   END SUBROUTINE rdgrft_shift
+
+
+   SUBROUTINE ice_strength
       !!----------------------------------------------------------------------
-      !!                ***  ROUTINE ice_rdgrft_strength ***
+      !!                ***  ROUTINE ice_strength ***
       !!
       !! ** Purpose :   computes ice strength used in dynamics routines of ice thickness
@@ -767,5 +765,5 @@
 
       !                              !--------------------------------------------------!
-      CALL ice_rdgrft_prep           ! Thickness distribution of ridging and ridged ice !
+      CALL rdgrft_prep               ! Thickness distribution of ridging and ridged ice !
       !                              !--------------------------------------------------!
 
@@ -775,11 +773,11 @@
          z1_3 = 1._wp / 3._wp
          DO jl = 1, jpl
-            WHERE( athorn(:,:,jl) > 0._wp )
-               strength(:,:) =  -         athorn(:,:,jl) * ht_i(:,:,jl) * ht_i(:,:,jl)   &  ! PE loss from deforming ice
-                  &             + 2._wp * araft (:,:,jl) * ht_i(:,:,jl) * ht_i(:,:,jl)   &  ! PE gain from rafting ice
-                  &             +         aridge(:,:,jl) * krdg(:,:,jl) * z1_3 *   &        ! PE gain from ridging ice
-                  &                      ( hrmax(:,:,jl) * hrmax(:,:,jl) +         &
-                  &                        hrmin(:,:,jl) * hrmin(:,:,jl) +         &
-                  &                        hrmax(:,:,jl) * hrmin(:,:,jl) )
+            WHERE( apartf(:,:,jl) > 0._wp )
+               strength(:,:) =  -         apartf(:,:,jl) * ht_i   (:,:,jl) * ht_i(:,:,jl)   &  ! PE loss from deforming ice
+                  &             + 2._wp * araft (:,:,jl) * ht_i   (:,:,jl) * ht_i(:,:,jl)   &  ! PE gain from rafting ice
+                  &             +         aridge(:,:,jl) * hi_hrdg(:,:,jl) * z1_3 *         &  ! PE gain from ridging ice
+                  &                      ( hrmax(:,:,jl) * hrmax  (:,:,jl) +                &
+                  &                        hrmin(:,:,jl) * hrmin  (:,:,jl) +                &
+                  &                        hrmax(:,:,jl) * hrmin  (:,:,jl) )
             ELSEWHERE
                strength(:,:) = 0._wp
@@ -844,5 +842,5 @@
       END SELECT
       !
-   END SUBROUTINE ice_rdgrft_strength
+   END SUBROUTINE ice_strength
 
 
@@ -854,13 +852,13 @@
       !!                to the mechanical ice redistribution
       !!
-      !! ** Method  :   Read the namice_rdgrft namelist 
+      !! ** Method  :   Read the namdyn_rdgrft namelist 
       !!                and check the parameters values 
       !!                called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_rdgrft
+      !! ** input   :   Namelist namdyn_rdgrft
       !!-------------------------------------------------------------------
       INTEGER :: ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_rdgrft/ ln_str_H79, rn_pstar, rn_crhg, &
+      NAMELIST/namdyn_rdgrft/ ln_str_H79, rn_pstar, rn_crhg, &
          &                    ln_str_R75, rn_perdg,          &
          &                    rn_csrdg  ,                    &
@@ -872,11 +870,11 @@
       !
       REWIND( numnam_ice_ref )              ! Namelist namicetdme in reference namelist : Ice mechanical ice redistribution
-      READ  ( numnam_ice_ref, namice_rdgrft, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_rdgrft in reference namelist', lwp )
-      !
-      REWIND( numnam_ice_cfg )              ! Namelist namice_rdgrft in configuration namelist : Ice mechanical ice redistribution
-      READ  ( numnam_ice_cfg, namice_rdgrft, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_rdgrft in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_rdgrft )
+      READ  ( numnam_ice_ref, namdyn_rdgrft, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_rdgrft in reference namelist', lwp )
+      !
+      REWIND( numnam_ice_cfg )              ! Namelist namdyn_rdgrft in configuration namelist : Ice mechanical ice redistribution
+      READ  ( numnam_ice_cfg, namdyn_rdgrft, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_rdgrft in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namdyn_rdgrft )
       !
       IF (lwp) THEN                          ! control print
@@ -884,5 +882,5 @@
          WRITE(numout,*) 'ice_rdgrft_init: ice parameters for ridging/rafting '
          WRITE(numout,*) '~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_rdgrft'
+         WRITE(numout,*) '   Namelist namdyn_rdgrft:'
          WRITE(numout,*) '      ice strength parameterization Hibler (1979)              ln_str_H79   = ', ln_str_H79 
          WRITE(numout,*) '            1st bulk-rheology parameter                        rn_pstar     = ', rn_pstar
@@ -915,5 +913,5 @@
       ENDIF
       !                              ! allocate tke arrays
-      IF( ice_rdgrft_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'ice_rdgrft_init : unable to allocate arrays' )
+      IF( ice_rdgrft_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'ice_rdgrft_init: unable to allocate arrays' )
       !
   END SUBROUTINE ice_rdgrft_init
